Loading...
Searching...
No Matches
volk_16i_max_star_horizontal_16i.h File Reference
`#include <volk/volk_common.h>`
`#include <inttypes.h>`
`#include <stdio.h>`
`#include <emmintrin.h>`
`#include <tmmintrin.h>`
`#include <xmmintrin.h>`
`#include <arm_neon.h>`

Go to the source code of this file.

## Functions

static void | volk_16i_max_star_horizontal_16i_a_ssse3 (int16_t *target, int16_t *src0, unsigned int num_points)
static void | volk_16i_max_star_horizontal_16i_neon (int16_t *target, int16_t *src0, unsigned int num_points)
static void | volk_16i_max_star_horizontal_16i_generic (int16_t *target, int16_t *src0, unsigned int num_points)

## Function Documentation

## volk_16i_max_star_horizontal_16i_a_ssse3()

void volk_16i_max_star_horizontal_16i_a_ssse3 | ( | int16_t * | target,
|  | int16_t * | src0,
|  | unsigned int | num_points )

inline static

## volk_16i_max_star_horizontal_16i_generic()

void volk_16i_max_star_horizontal_16i_generic | ( | int16_t * | target,
|  | int16_t * | src0,
|  | unsigned int | num_points )

inline static

## volk_16i_max_star_horizontal_16i_neon()

void volk_16i_max_star_horizontal_16i_neon | ( | int16_t * | target,
|  | int16_t * | src0,
|  | unsigned int | num_points )

inline static